package com.cooleshow.teacher.ui.mine;

import android.view.View;

import com.alibaba.android.arouter.facade.annotation.Route;
import com.cooleshow.base.router.RouterPath;
import com.cooleshow.base.ui.activity.BaseMVPActivity;
import com.cooleshow.teacher.contract.CreateLiveContract;
import com.cooleshow.teacher.databinding.ActivityCreateLiveBinding;
import com.cooleshow.teacher.presenter.live.CreateLivePresenter;

/**
 * 创建日期：2022/5/20 14:45
 *
 * @author Ryan
 * 类说明：
 */
@Route(path = RouterPath.LiveCenter.TEACHER_MINE_CREATE_COURSE)
public class CreateLiveActivity extends BaseMVPActivity<ActivityCreateLiveBinding, CreateLivePresenter> implements CreateLiveContract.CreateLiveView, View.OnClickListener {
    @Override
    public void onClick(View view) {

    }

    @Override
    protected void initView() {
        initMidTitleToolBar(viewBinding.toolbarInclude.toolbar, "创建直播");
    }

    @Override
    protected ActivityCreateLiveBinding getLayoutView() {
        return ActivityCreateLiveBinding.inflate(getLayoutInflater());
    }

    @Override
    protected CreateLivePresenter createPresenter() {
        return new CreateLivePresenter();
    }

    @Override
    public void onCreateLiveSuccess(String roomId) {

    }
}
